subroutine buoyant(tmp,rat,buoy)
!***********************************************************************
!*     calculate buoyancy at mesh points
!*
!*     buoy := rat*tmp
!*
!*     input
!*        tmp: temperature
!*        rat: thermal Rayleigh number
!*     output
!*        buoy: buoyancy
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer :: i,j
  real(kind=8),dimension(iax,jax),intent(in) :: tmp
  real(kind=8),dimension(iax,jax),intent(out) :: buoy
  real(kind=8),intent(in) :: rat
!c
  do j = 2,jax-1
     do i = 2,iax-1
        buoy(i,j) = rat*tmp(i,j)
     end do
  end do
!c
  return
end subroutine buoyant
