subroutine caleiv(u,w,eiv,siv,visc,dxs,dzs,dxi,dzi,dxsi,dzsi)
!***********************************************************************
!*     calculate 2nd invariants of
!*     strain rate/stress tensors
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  real(kind=8),dimension(iax,jax),intent(in) :: u,w,visc
  real(kind=8),dimension(iax,jax),intent(out) :: eiv,siv
  real(kind=8),dimension(iax),intent(in) :: dxi,dxsi,dxs
  real(kind=8),dimension(jax),intent(in) :: dzi,dzsi,dzs
  real(kind=8) :: e11,e12,e22,dudzw,dudze,dwdxs,dwdxn
  integer :: i,j
!c
  do j = 2,jax-1
     do i = 2,iax-1
        e11 = (u(i+1,j)-u(i,j))*dxi(i)
        e22 = (w(i,j+1)-w(i,j))*dzi(j)
        dudzw = &
             (dzs(j)*(u(i,j+1)-u(i,j))*dzsi(j+1) &
             +dzs(j+1)*(u(i,j)-u(i,j-1))*dzsi(j))/(dzs(j)+dzs(j+1))
        dudze = &
             (dzs(j)*(u(i+1,j+1)-u(i+1,j))*dzsi(j+1) &
             +dzs(j+1)*(u(i+1,j)-u(i+1,j-1))*dzsi(j))/(dzs(j)+dzs(j+1))
        dwdxs = &
             (dxs(i)*(w(i+1,j)-w(i,j))*dxsi(i+1) &
             +dxs(i+1)*(w(i,j)-w(i-1,j))*dxsi(i))/(dxs(i)+dxs(i+1))
        dwdxn = &
             (dxs(i)*(w(i+1,j+1)-w(i,j+1))*dxsi(i+1) &
             +dxs(i+1)*(w(i,j+1)-w(i-1,j+1))*dxsi(i))/(dxs(i)+dxs(i+1))
        e12 = 0.25d0*(dudzw+dudze+dwdxs+dwdxn)
        eiv(i,j) = dsqrt(e11**2+e22**2+2.d0*e12**2)
     enddo
  enddo
  do j = 2,jax-1
     do i = 2,iax-1
        siv(i,j) = 2.d0*visc(i,j)*eiv(i,j)
     enddo
  enddo
!c
  return
end subroutine caleiv
