subroutine calvisc(tmp,zp,etl,epl,visc)
!***********************************************************************
!*     calculate viscosity from temperature and composition
!*
!*     input
!*        tmp: temperature
!*        etl: coefficient of temperature on viscosity
!*        epl: coefficient of pressure on viscosity
!*        zp: vertical coodinate
!*     output
!*        visc: viscosity
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer :: i,j
  real(kind=8),dimension(iax,jax),intent(in) :: tmp
  real(kind=8),dimension(iax,jax),intent(out) :: visc
  real(kind=8),dimension(jax),intent(in) :: zp
  real(kind=8),intent(in) :: etl,epl
  real(kind=8) :: zz
!c
  do j = 1,jax
     zz = 1.d0-zp(j)
     do  i = 1,iax
        visc(i,j) = exp(-etl*tmp(i,j)+epl*zz)
     enddo
  enddo
!c
  return
end subroutine calvisc
