subroutine checkv(ntime,tmp,siv,eiv,dx,dz,asp)
!***********************************************************************
!*     print field values
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer ntime,i,j
  real(kind=8),dimension(iax,jax),intent(in) :: tmp,siv,eiv
  real(kind=8),dimension(iax),intent(in) :: dx
  real(kind=8),dimension(jax),intent(in) :: dz
  real(kind=8),intent(in) :: asp
  real(kind=8) :: fsum,fmin,fmax,favg,volume
!c
  volume = asp
!c
  write(*,'(i7,"-th timestep")')ntime
!c
!c     minimum/maximum/average temperature
!c
  fsum = 0.d0
  fmin = 1.d5
  fmax = -1.d5
  do j = 2,jax-1
     do i = 2,iax-1
        fsum = fsum + tmp(i,j)*dx(i)*dz(j)
        fmax = dmax1(fmax,tmp(i,j))
        fmin = dmin1(fmin,tmp(i,j))
     enddo
  enddo
  favg = fsum/asp
  write(*,*)"average temperature =",favg
  write(*,*)"maximum temperature =",fmax
  write(*,*)"minimum temperature =",fmin
!c
!c     minimum/maximum/average stress
!c
  fsum = 0.d0
  fmin = 1.d10
  fmax = -1.d5
  do j = 2,jax-1
     do i = 2,iax-1
        fsum = fsum + siv(i,j)*dx(i)*dz(j)
        fmax = dmax1(fmax,siv(i,j))
        fmin = dmin1(fmin,siv(i,j))
     enddo
  enddo
  favg = fsum/asp
  write(*,*)"average stress      =",favg
  write(*,*)"maximum stress      =",fmax
  write(*,*)"minimum stress      =",fmin
!c
!c     minimum/maximum/average strain rate
!c
  fsum = 0.d0
  fmin = 1.d10
  fmax = -1.d5
  do j = 2,jax-1
     do i = 2,iax-1
        fsum = fsum + eiv(i,j)*dx(i)*dz(j)
        fmax = dmax1(fmax,eiv(i,j))
        fmin = dmin1(fmin,eiv(i,j))
     enddo
  enddo
  favg = fsum/asp
  write(*,*)"average strain rate =",favg
  write(*,*)"maximum strain rate =",fmax
  write(*,*)"minimum strain rate =",fmin
!c
  return
end subroutine checkv
