subroutine dxout(tmp,psi,u,w,xc,zc,dx,dz,dxi,dzi,ncount)
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer :: i,j,ncount
  real(kind=8),dimension(iax,jax),intent(in) :: tmp,u,w
  real(kind=8),dimension(iax+1,jax+1),intent(in) :: psi
  real(kind=8),dimension(iax),intent(in) :: dx,dxi,xc
  real(kind=8),dimension(jax),intent(in) :: dz,dzi,zc

!c
  real(kind=4),dimension(2:iax,2:jax) :: tmps,vlxs,vlzs,psis
  real(kind=4),dimension(2:iax) :: xcs,dx2i
  real(kind=4),dimension(2:jax) :: zcs,dz2i
  character(len=3) :: cn3
  real(kind=8) :: up,wp,tp
!c
  write(cn3,'(i3.3)')ncount
!c
  do i = 2,iax
     dx2i(i) = 1.d0/(dx(i-1)+dx(i))
     xcs(i) = sngl(xc(i))
  end do
  do j = 2,jax
     dz2i(j) = 1.d0/(dz(j-1)+dz(j))
     zcs(j) = sngl(zc(j))
  end do
!c
  do j = 2,jax
     do i = 2,iax
        tp = 0.25d0* &
             (tmp(i-1,j-1)+tmp(i,j-1) &
             +tmp(i-1,j  )+tmp(i,j  ))
        up = &
             (dz(j-1)*(psi(i,j+1)-psi(i,j))*dzi(j) &
             +dz(j)*(psi(i,j)-psi(i,j-1))*dzi(j-1))*dz2i(j)
        wp = &
             (dx(i-1)*(psi(i,j)-psi(i+1,j))*dxi(i) &
             +dx(i)*(psi(i-1,j)-psi(i,j))*dxi(i-1))*dx2i(i)
        tmps(i,j) = sngl(tp)
        vlxs(i,j) = sngl(up)
        vlzs(i,j) = sngl(wp)
        psis(i,j) = sngl(psi(i,j))
     end do
  end do
!c
  open(51,file="ANL/x-coord.dat",form="unformatted")
  open(52,file="ANL/z-coord.dat",form="unformatted")
  write(51)xcs
  write(52)zcs
  close(51)
  close(52)
!c
  open(50,file="ANL/temp"//cn3//".general")
  write(50,'("file = ",a)')"ANL/temp"//cn3//".dat"
  write(50,'("grid = ",i3," x ",i3)')iax-1,jax-1
  write(50,'("format = lsb ieee")')
  write(50,'("interleaving = record")')
  write(50,'("majority = column")')
  write(50,'("header = bytes 4")')
  write(50,'("field = ",a)')"temperature"
  write(50,'("structure = scalar")')
  write(50,'("type = float")')
  write(50,'("dependency = positions")')
  write(50,'("positions = regular, regular, 0, 1, 0, 1")')
  close(50)
  open(50,file="ANL/temp"//cn3//".dat",form="unformatted")
  write(50)tmps
  close(50)
!c
  open(51,file="ANL/velx"//cn3//".general")
  write(51,'("file = ",a)')"ANL/velx"//cn3//".dat"
  write(51,'("grid = ",i3," x ",i3)')iax-1,jax-1
  write(51,'("format = lsb ieee")')
  write(51,'("interleaving = record")')
  write(51,'("majority = column")')
  write(51,'("header = bytes 4")')
  write(51,'("field = ",a)')"x-velocity"
  write(51,'("structure = scalar")')
  write(51,'("type = float")')
  write(51,'("dependency = positions")')
  write(51,'("positions = regular, regular, 0, 1, 0, 1")')
  close(51)
  open(51,file="ANL/velx"//cn3//".dat",form="unformatted")
  write(51)vlxs
  close(51)
!c
  open(52,file="ANL/velz"//cn3//".general")
  write(52,'("file = ",a)')"ANL/velz"//cn3//".dat"
  write(52,'("grid = ",i3," x ",i3)')iax-1,jax-1
  write(52,'("format = lsb ieee")')
  write(52,'("interleaving = record")')
  write(52,'("majority = column")')
  write(52,'("header = bytes 4")')
  write(52,'("field = ",a)')"z-velocity"
  write(52,'("structure = scalar")')
  write(52,'("type = float")')
  write(52,'("dependency = positions")')
  write(52,'("positions = regular, regular, 0, 1, 0, 1")')
  close(52)
  open(52,file="ANL/velz"//cn3//".dat",form="unformatted")
  write(52)vlzs
  close(52)
!c
  open(53,file="ANL/strm"//cn3//".general")
  write(53,'("file = ",a)')"ANL/strm"//cn3//".dat"
  write(53,'("grid = ",i3," x ",i3)')iax-1,jax-1
  write(53,'("format = lsb ieee")')
  write(53,'("interleaving = record")')
  write(53,'("majority = column")')
  write(53,'("header = bytes 4")')
  write(53,'("field = ",a)')"streamlines"
  write(53,'("structure = scalar")')
  write(53,'("type = float")')
  write(53,'("dependency = positions")')
  write(53,'("positions = regular, regular, 0, 1, 0, 1")')
  close(53)
  open(53,file="ANL/strm"//cn3//".dat",form="unformatted")
  write(53)psis
  close(53)
!c
  return
end subroutine dxout
