subroutine mconst(dx,dxs,dz,dzs,xp,xc,zp,zc,dxi,dxsi,dzi,dzsi,areai)
!***********************************************************************
!*     calculate mesh constants
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer :: i,j
  real(kind=8),dimension(iax),intent(in) :: dx,dxs,xp,xc
  real(kind=8),dimension(jax),intent(in) :: dz,dzs,zp,zc
  real(kind=8),dimension(iax),intent(out) :: dxi,dxsi
  real(kind=8),dimension(jax),intent(out) :: dzi,dzsi
  real(kind=8),dimension(iax,jax),intent(out) :: areai
!c
!c ============================
!c     inverse of mesh size
!c ============================
!c
  do i = 1,iax
     dxi(i) = 1.d0/dx(i)
     dxsi(i) = 1.d0/dxs(i)
  enddo
  do j = 1,jax
     dzi(j) = 1.d0/dz(j)
     dzsi(j) = 1.d0/dzs(j)
  enddo
!c
!c =================================
!c     inverse of volume of mesh
!c =================================
!c
  do j = 1,jax
     do i = 1,iax
        areai(i,j) = dxi(i)*dzi(j)
     enddo
  enddo
!c
  return
end subroutine mconst
