subroutine plot(asp,tmp,tsurf,tbot,dx,dz,u,w,eiv,siv,psi,time,ntime)
!***********************************************************************
!*     plot average values
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer :: i,j
  real(kind=8),dimension(iax,jax),intent(in) :: tmp,u,w,siv,eiv
  real(kind=8),dimension(iax+1,jax+1),intent(in) :: psi
  real(kind=8),dimension(iax),intent(in) :: dx
  real(kind=8),dimension(jax),intent(in) :: dz
  real(kind=8),intent(in) :: tsurf,tbot,asp,time
  real(kind=8) :: vrms,vplt,tav,hfs,hfb
  real(kind=8) :: sum,dum
  integer,intent(in) :: ntime
  real(kind=8) :: smax,emax,psimax
!c
1 format(a20," =",f18.10)
2 format(2f10.4)
!c
  sum = 0.d0
  do j = 2,jax-1
     do i = 2,iax-1
        sum = sum + tmp(i,j)*dx(i)*dz(j)
     enddo
  enddo
  tav = sum/asp
!c
  sum = 0.d0
  do j = 2,jax-1
     do i = 2,iax-1
        sum = sum + 0.25d0*dx(i)*dz(j)* &
             ((u(i,j)+u(i+1,j))**2+(w(i,j)+w(i,j+1))**2)
     enddo
  enddo
  vrms = dsqrt(sum/asp)
!c
  sum = 0.d0
  do i = 2,iax-1
     sum = sum + 2.d0*(tmp(i,jax-1)-tsurf)*dx(i)/dz(jax-1)
  enddo
  hfs = sum/asp
!c
  sum = 0.d0
  do i = 2,iax-1
     sum = sum + 2.d0*(tbot-tmp(i,2))*dx(i)/dz(2)
  enddo
  hfb = sum/asp
!c
  smax = -10.d0
  do j = 2,jax-1
     do i = 2,iax-1
        smax = dmax1(siv(i,j),smax)
     enddo
  enddo
!c
  emax = -10.d0
  do j = 2,jax-1
     do i = 2,iax-1
        emax = dmax1(eiv(i,j),emax)
     enddo
  enddo
!c
  psimax = 0.d0
  do j = 2,jax
     do i = 2,iax
        psimax = dmax1(psimax,dabs(psi(i,j)))
     enddo
  enddo
!c
  sum = 0.d0
  do i = 2,iax-1
     dum = dz(jax-1)/dz(jax)*(psi(i,jax+1)+psi(i+1,jax+1)) &
          - dz(jax)/dz(jax-1)*(psi(i,jax-1)+psi(i+1,jax-1))
     sum = sum + dum*dum*dx(i)
  enddo
  vplt = 0.5d0/(dz(jax-1)+dz(jax))*dsqrt(sum/asp)
!c
  write(*,'(i6,a4,10a10)')ntime,"time","vrms","vplt","tav","hfs", &
       "hfb","tbot","smax","emax","psimax"
  write(*,'(3e10.4,4f10.6,4e10.4)')time,vrms,vplt,tav,hfs,hfb, &
       tbot,smax,emax,psimax
!c
  write(20,'(11e11.4)')time,vrms,vplt,tav,hfs,hfb,tbot, &
       smax,emax,psimax
!c
  return
end subroutine plot
