subroutine rdata(nmax,nstep,iplot,iprnt,time,ivlt,ivlb,icont, &
     ivis,ipt,etl,etn,epl,epn,rat,tsurf,tbot,tamp,vboti,asp, &
     crmax)
!***********************************************************************
!*     read input parameters
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer,intent(out) :: nmax,iplot,iprnt,nstep
  integer,intent(out) :: ivlt,ivlb,icont
  real(kind=8),intent(out) :: rat,tsurf,tbot,tamp,vboti,asp
  real(kind=8),intent(out) :: time,crmax
  integer,intent(out) :: ipt,ivis
  real(kind=8),intent(out) :: etl,etn,epl,epn
  real(kind=8),parameter :: depth=6.5d5,thex=3.d-5,grav=9.8d0, &
       thdif=6.d-7,rhoref=3.3d3,rgas=8.31d0
  real(kind=8) :: eta0,etas,etab,strs0,tgap
!c
  read(21,*) nmax,iplot,iprnt,icont
  read(21,*) rat,asp,ivlt,ivlb
  read(21,*) ipt,etl,etn,epl,epn
  read(21,*) tsurf,tbot,tamp,vboti,crmax
  read(21,*) nstep,time
!c
!c     show some parameters in real dimensions
!c
!c      if (icont .eq. 0) then
!c         tgap = tbot -tsurf
!c      else
!c         tgap = tamp
!c      endif
  tgap = 1.3d3
  eta0 = rhoref*thex*tgap*grav*depth**3/thdif/rat
  strs0 = eta0*thdif/depth/depth*1.d-6
  if (ipt .eq. 0) then
     etas = 1.d0
     etab = 1.d0
  else if (ipt .eq. 1) then
     etas = exp(etl/tsurf)
     etab = exp((etl+epl)/tbot)
  else if (ipt .eq. 2) then
     etas = exp(-etl*tsurf)
     etab = exp(-etl*tbot+epl)
  endif
!c
  write(*,'(4a10)') "nmax","iplot","iprnt","icont"
  write(*,'(4i10)') nmax,iplot,iprnt,icont
  write(*,'(3a10)')"Nx","Nz","asp"
  write(*,'(2i10,f10.4)')nx,nz,asp
  write(*,'(4a10)') "RaT","ivlt","ipt"
  write(*,'(e10.4,3i10)') rat,ivlt,ipt
  write(*,'(7a10)')"eta0","etas","etab","etl","etn","epl","epn"
  write(*,'(7e10.4)')eta0,etas,etab,etl,etn,epl,epn
  write(*,'(5a10)') "tsurf","tbot","tamp","vbot^(-1)","Crmax"
  write(*,'(4f10.4,e10.4)') tsurf,tbot,tamp,vboti,crmax
  write(*,'(a10)') "time"
  write(*,'(e10.4)') time
!c
  if (ivlt .eq. 1) then
     write(*,*)"free-slip top boundary"
  else if (ivlt .eq. 2) then
     write(*,*)"fixed velocity top boundary"
  endif
  if (ivlb .eq. 1) then
     write(*,*)"free-slip bottom boundary"
  else if (ivlb .eq. 2) then
     write(*,*)"fixed velocity bottom boundary"
  endif
  if (ipt .eq. 1) then
!c     $     write(*,*)"Arhenius-law dependence"
     write(*,*)"DO NOT USE ipt=1"
     stop
  endif
  if (ipt .eq. 2) write(*,*)"simplified P/T dependence"
  if (ipt .ge. 3) then
     write(*,'("Illegal value of ipt =",i2)')ipt
     stop
  endif
!c
!c      dum = epn*epn+etn*etn
!c      if (dum .gt. 1.d-20) then
!c         ivis = 1
!c         write(*,*)"Nonlinear rheology"
!c      else
  ivis = 0
  write(*,*)"Linear rheology"
!c      endif
!c
  return
end subroutine rdata
