subroutine ppmout(tmp,xc,zc,ncount)
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer :: i,j
  integer,intent(in) :: ncount
  real(kind=8),dimension(iax,jax),intent(in) :: tmp
  real(kind=8),dimension(iax),intent(in) :: xc
  real(kind=8),dimension(jax),intent(in) :: zc
  integer :: xsize,ipx,jpx,ipx0,ipx1,jpx0,jpx1
  integer,parameter :: ysize=256
  integer,dimension(3) :: rgb
!c
  character(len=3) :: cn3
!c
  xsize = int(xc(iax)*dble(ysize))
!c
  write(cn3,'(i3.3)')ncount
  open(55,file="temp"//cn3//".ppm")
  write(55,'("P3")')
  write(55,*)xsize,ysize
  write(55,'("#")')
  write(55,'("255")')
!c
  do j = jax-1,2,-1
     jpx0 = int(zc(j)*dble(ysize))
     jpx1 = int(zc(j+1)*dble(ysize))-1
     do jpx = jpx0,jpx1
        do i = 2,iax-1
           ipx0 = int(xc(i)*dble(ysize))
           ipx1 = int(xc(i+1)*dble(ysize))-1
           call f2color(tmp(i,j),rgb)
           do ipx = ipx0,ipx1
              write(55,'(3i4)')rgb
           end do
        end do
     end do
  end do
!c
  close(55)
!c
  return
end subroutine ppmout
!***********************************************************************
subroutine f2color(f,rgb)
  implicit none
  real(kind=8) :: f
  integer,dimension(3) :: rgb
  integer,dimension(52) :: myr,myg,myb
  real(kind=8),dimension(52) :: myf
  data myf /0,0.005,0.02,0.04,0.06,0.08,0.1,0.12,0.14,0.16,0.18,0.2 &
       ,0.22,0.24,0.26,0.28,0.3,0.32,0.34,0.36,0.38,0.4 &
       ,0.42,0.44,0.46,0.48,0.5,0.52,0.54,0.56,0.58,0.6 &
       ,0.62,0.64,0.66,0.68,0.7,0.72,0.74,0.76,0.78,0.8 &
       ,0.82,0.84,0.86,0.88,0.9,0.92,0.94,0.96,0.98,1.0/
  data myr /255,37,32,28,23,23,28,33,39,30,19,8,3,17,31,46,57,67,78 &
       ,87,93,98,103,111,120,129,138,156,175,194,209,219,228,238,243 &
       ,247,252,255,255,255,255,255,255,255,255,255,255,255,255,255 &
       ,255,255/
  data myg /255,57,66,76,86,96,106,115,125,134,144,153,162,170,179 &
       ,187,195,202,209,215,221,227,232,235,235,235,236,241,246,251 &
       ,252,247,242,236,224,211,198,186,178,171,163,166,170,173,176 &
       ,179,183,187,192,197,201,206/
  data myb /255,175,192,209,226,237,242,246,250,251,253,254,255,255 &
       ,255,255,255,255,255,255,255,255,255,242,219,196,174,170,167 &
       ,163,157,145,134,122,112,103,93,85,80,74,69,80,90,99,108,117 &
       ,125,134,139,145,150,155/
  integer :: key
  real :: x0,x1
  if (f .le. 0.005) then
     key = 1
  else if (f .le. 0.02) then
     key = 2
  else
     key = int(f*50.d0)+2
  endif
  if ( (f-myf(key))*(f-myf(key+1)) .gt. 0.d0) then
     write(*,*)"AHO",key,myf(key),f,myf(key+1)
  endif
  x0 = (real(f)-myf(key))/(myf(key+1)-myf(key))
  x1 = 1.e0-x0
  rgb(1) = int(x0*myr(key+1)+x1*myr(key))
  rgb(2) = int(x0*myg(key+1)+x1*myg(key))
  rgb(3) = int(x0*myb(key+1)+x1*myb(key))
  return
end subroutine f2color
