subroutine tstep(u,v,dx,dz,dxs,dzs,strs,eiv,dt)
!***********************************************************************
!*     calculate time step
!***********************************************************************
  implicit none
  include "meshnum.h"
!c
  integer :: i,j
  real(kind=8),dimension(iax,jax),intent(in) :: u,v,strs,eiv
  real(kind=8),dimension(iax),intent(in) :: dx,dxs
  real(kind=8),dimension(jax),intent(in) :: dz,dzs
  real(kind=8),intent(out) :: dt
  real(kind=8) :: dtd,dtd1,crmax
  real(kind=8) :: dta,dta1,dtai
!c
!c --------------------------------------
!c     courant condition of advection
!c --------------------------------------
!c
  dtai = 0.d0
  do j = 2,jax-1
     do i = 2,iax-1
        dta1 = dabs(u(i,j))/dxs(i)
        dtai = dmax1(dtai,dta1)
     end do
  end do
  do j = 3,jax-1
     do i = 2,iax-1
        dta1 = dabs(v(i,j))/dzs(j)
        dtai = dmax1(dtai,dta1)
     end do
  end do
  dta = 1.d0/dtai
!c
!c ---------------------------------------
!c     courant condition for diffusion
!c ---------------------------------------
!c
  dtd1 = 1.d0
  do i = 2,iax-1
     dtd1 = dmin1(dtd1,dx(i))
  enddo
  do j = 2,jax-1
     dtd1 = dmin1(dtd1,dz(j))
  enddo
  dtd = 0.5d0*dtd1**2
!c
  dt = 0.25d0*dmin1(dta,dtd)
!c
  crmax = 1.0d-15
  do j = 2,jax-1
     do i = 3,iax-1
        crmax = dmax1(crmax,dt*dabs(u(i,j))/dxs(i))
     enddo
  enddo
  do j = 3,jax-1
     do i = 2,iax-1
        crmax = dmax1(crmax,dt*dabs(v(i,j))/dzs(j))
     enddo
  enddo
!c
!c      write(*,'(6a11)')"dt","CrMax","dta","dtd"
!c      write(*,'(6e11.4)')dt,CrMax,dta,dtd
!c
  return
end subroutine tstep
